CREATE TABLE operational_status
(
  operational_status bigint NOT NULL,
  description character varying(255),
  CONSTRAINT operational_status_pkey PRIMARY KEY (operational_status )
);

ALTER TABLE operational_status OWNER TO spectre_admin;

CREATE TABLE server_device
(
  chassis_service_tag character varying(255),
  csior_status boolean,
  device_license character varying(255),
  generation character varying(255),
  manufacturer character varying(255),
  numberofcpu integer,
  platform_guid character varying(128),
  sd_card_presence boolean,
  template character varying(255),
  totalmemory integer,
  server_device_id bigint NOT NULL,
  operational_status bigint,
  CONSTRAINT server_device_pkey PRIMARY KEY (server_device_id ),
  CONSTRAINT fk28c4cad2a6981cf9 FOREIGN KEY (server_device_id)
      REFERENCES infrastructure_device (device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk_global_status FOREIGN KEY (operational_status)
      REFERENCES operational_status (operational_status) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

ALTER TABLE server_device OWNER TO spectre_admin;

CREATE TABLE server_network_interface
(
  server_network_interface_id bigint NOT NULL,
  current_mac_address character varying(255),
  display_order integer,
  fqdd character varying(255),
  permanent_mac_address character varying(255),
  product_name character varying(255),
  vendor_name character varying(255),
  server_device_id bigint,
  CONSTRAINT server_network_interface_pkey PRIMARY KEY (server_network_interface_id ),
  CONSTRAINT server_device_fkey FOREIGN KEY (server_device_id)
      REFERENCES server_device (server_device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE server_network_interface OWNER TO spectre_admin;

CREATE TABLE host
(
  host_id bigint NOT NULL,
  hostname character varying(255),
  hostip character varying(256),
  osname character varying(255),
  osversion character varying(255),
  server_device_id bigint,
  objectid character varying(128),
  consoleaddress character varying(255),
  slotlocation character varying(50),
  CONSTRAINT host_pkey PRIMARY KEY (host_id ),
  CONSTRAINT fk30f5a8f4b595db FOREIGN KEY (server_device_id)
      REFERENCES server_device (server_device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

ALTER TABLE host OWNER TO spectre_admin;

CREATE SEQUENCE seq_host
  MINVALUE 5000
  MAXVALUE 999999999999
  START WITH 5000
  NO CYCLE;
ALTER TABLE seq_infrastructure_device OWNER TO spectre_admin;

