#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

echo "**********************************************"
echo " Running Tetris Server Database Scripts $(date) "
echo "**********************************************"


if [ ! -f /etc/sysconfig/spectre-lame ]; then

 array=($THIS_DIR/DBScripts/01CreateTables/* $THIS_DIR/DBScripts/02CreateSequence/* $THIS_DIR/DBScripts/03PopulateData/* $THIS_DIR/DBScripts/04CreateViews/* $THIS_DIR/DBScripts/05CreateFunctions/*)
 
# exec &>$THIS_DIR/dbScript_log.log

len=${#array[*]}

# echo "The Number of script files are: $len"

echo  "Executing Database Scripts for Tetris Server"

#New Line
echo  "											"

i=0

      while [ $i -lt $len ]; do
	         
        echo "${array[$i]}"

        if  [ ${array[$i]:${#array[$i]}-3:3} = "txt" ] ; then
                echo "Skip this one"
        else if [ ${array[$i]:${#array[$i]}-3:3} = "sql" ] ; then
                /usr/bin/psql -h localhost -U postgres -d @DB_NAME@ -f "${array[$i]}"
        else
               echo Not Executable    
            fi
       fi  
       let i++
   done

fi
# end if not exist /etc/sysconfig/spectre-lame

echo  "**********************************************"
echo   "Tetris Server Database scripts Ended $(date)"
